Send a power cycle command for an SBM server
POST/v1/hosts/sbm_servers/{server_id}/power_cycle
A POST request to the /v1/hosts/sbm_servers/{server_id}/power_cycle endpoint will initiate a power cycle command for a server mentioned in the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
server_id | stringA unique identifier of an SBM server. To get SBM server IDs, use a request to list all hosts and filter results by the |
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/hosts/sbm_servers/MvbmN3dY/power_cycle"{ "id": "MvbmN3dY", "rack_id": "4zbqr0dp", "title": "title664", "location_id": 1278, "location_code": "location2659", "status": "active", "operational_status": "normal", "power_status": "power_cycling", "configuration": "REMM R123", "private_ipv4_address": "10.0.0.114", "public_ipv4_address": "169.254.0.114", "lease_start_at": "2026-05-25", "scheduled_release_at": null, "type": "sbm_server", "oob_ipv4_address": null, "configuration_details": { "ram_size": 2, "bandwidth_id": 21, "bandwidth_name": "20000 GB", "public_uplink_id": 51, "private_uplink_id": 52, "public_uplink_name": "Public 1 Gbps without redundancy", "operating_system_id": 21, "private_uplink_name": "Private 1 Gbps without redundancy", "sbm_flavor_model_id": 62, "sbm_flavor_model_name": "sbm-flavor-model-693", "operating_system_full_name": "CentOS 7 x86_64" }, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "created_at": "2026-05-28T07:03:31Z", "updated_at": "2026-05-28T07:03:31Z"}